using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.IO.IsolatedStorage;

namespace WPCreateAndDeleteSubfolder
{
    public partial class MainPage : PhoneApplicationPage
    {
        public MainPage()
        {
            InitializeComponent();

            SupportedOrientations = SupportedPageOrientation.Portrait | SupportedPageOrientation.Landscape;

            try
            {
                IsolatedStorageFile file = IsolatedStorageFile.GetUserStoreForApplication();
                //Erstellen eines Unterordners
                file.CreateDirectory("Subdirectory");

                file = IsolatedStorageFile.GetUserStoreForApplication();

                //Erstellen einer neuen Datei im Unterordner
                IsolatedStorageFileStream isfs = file.CreateFile("Subdirectory/test.txt");
                isfs.Close();
                file.DeleteFile("Subdirectory/test.txt");

                //Prüfen und löschen eines Unterordners
                if (file.DirectoryExists("Subdirectory"))
                {
                    //Das zu löschende Unterverzeichnis muss leer sein!!
                    file.DeleteDirectory("Subdirectory");
                }
            }
            catch (IsolatedStorageException ios)
            {
                //Ausnahmebehandlung
            }
        }
    }
}